English Version Deutsche Version
Fontlinge
Intro
Whatis?
Download
Requirements
Install
HowTo...
Step 1 - Collect fonts
Step 2 - Check
Step 3 - Make DB
Step 4 - Reunite
Step 5 - Dupekill prep
Step 6 - Dupekill
Step 7 - Make DB 2
Step 8 - Previews
WebGUI
Font poster
Database management
Links+Thankyou
Contact
Impressum
Guestbook
Bugtracker
mozilla

Site made
using mozilla

Kick Nazis.

No censorship

Keine Zielgruppe
Selberdenker.

Am Allerwertesten.
...und zwar
kreuzweise!
Valid HTML 4.01! Valid CSS!
Viewed best with any browser.
SourceForge Logo
 
 
Requirements

You need some stuff:
  • ImageMagick
  • perl >= 5.6
  • MySQL
  • PHP4 (>= 4.0.3) supporting GDlib and MySQL
  • apache supporting PHP4
  • some perl modules:
    - DBD:mysql
    - DBI
    - Image::Magick
    - Term::ReadKey
    and several modules that are probably already installed
    - Cwd 'abs_path'
    - ExtUtils::MakeMaker
    - File::Compare
    - File::Copy
    - File::Find
    - File::Path
    - File::Spec
    - File::stat
    - File::Temp
    - Fcntl
    - Getopt::Long
    - IO::Handle
    - POSIX ':sys_wait_h'
    - Socket
    - Time::HiRes 'usleep'
    - User::pwent
  Required SuSE RPMs

SuSE Users will need the following packages from their distribution's CDs:
  • mysql
  • mysql-client
  • ImageMagick
  • perl
  • perl-DBI
  • perl-Data-ShowTable
  • perl-PerlMagick
  • perl-TermReadKey
  • make
Users of SuSE 9.0 and previous versions also need the following packages:
  • apache
  • mod_php4
  • mod_php4-core
  • perl-Msql-Mysql-modules
Starting with SuSE 9.1, the following additional packages need to be installed:
  • apache2
  • php4
  • php4-gd
  • php4-mysql
  • perl-DBD-mysql
Possibly this list isn't complete. If something cannot be found, call pin filename to check which package contains the file, install the package and send me a mail so that I can complete the package list ;-)


Debian users

We (finally) have a list of required DEBs for you. You need at least:
apt-get install make perl perl-modules \
 perlmagick libterm-readkey-perl \
 libdbd-mysql-perl bzip2
Since I suspect you not to own an external MySQL server, you need:
apt-get install mysql-server
Required for the WebGUI:
apt-get install apache2 apache2-mpm-prefork \
 libapache2-mod-php4 \
 php4-mysql php4-gd

/etc/init.d/apache2 restart
If your private webfolder does not exist, create it before installing, otherwise the installer will ask irritating questions. As user:
mkdir ~/public_html